routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/test', function() {
// 	$cookie = Cookie::forever('imfo_views', 'SuperAdmin');
// 	return response('SuperAdmin SetCookie')->cookie($cookie);
// });

// Basic Routes
Route::get('/', 'WelcomeController@index')->name('welcome');
Route::get('/about', 'BasicController@about')->name('about');
Route::get('/contact', 'BasicController@contact')->name('contact');
Route::post('/contact', 'BasicController@contactSend')->name('contact.send');
Route::get('/disclaimer', 'BasicController@disclaimer')->name('disclaimer');

Route::get('/img/{name}', 'BasicController@images')->name('images')->where('name', '.*');

// Blogs Routes
Route::get('/blogs', 'BlogsController@index')->name('blogs.index');
Route::get('/blogs/{slug}', 'BlogsController@view')->name('blogs.view');

// Posts Routes
Route::get('/posts', 'PostsController@index')->name('posts.index');
Route::get('/posts/{catSlug}', 'PostsController@catePage')->name('posts.cate.page');
Route::get('/posts/{catSlug}/{skeSlug}', 'PostsController@pageShare')->name('posts.page.share');

// Cate Routes
Route::get('/cate', 'CateController@index')->name('cate.index');
Route::get('/cate/{slug}', 'CateController@page')->name('cate.page');
Route::get('/cate/{slug}/{skeSlug}', 'CateController@pageShare')->name('cate.page.share');

// Auth::routes();

// Route::get('/home', 'HomeController@index')->name('home');

// Middleware
// Route::middleware(['auth:web'])->group(function () {
// 	Route::get('/user', 'UserController@index')->name('user.index');
// 	Route::get('/user/sketchs/create', 'UserController@sketchsCreate')->name('user.sketchs.create');
// 	Route::post('/user/sketchs/create', 'UserController@sketchsStore')->name('user.sketchs.store');
// 	Route::get('/user/sketchs/view', 'UserController@sketchsView')->name('user.sketchs.view');
// 	Route::get('/user/sketchs/{id}', 'UserController@sketchsById')->name('user.sketchs.byId');

// });

// oversight
Route::middleware(['auth:oversight'])->group(function () {
	Route::get('/about/edit', 'BasicController@aboutEdit')->name('about.edit');
	// Route::get('/disclaimer/edit', 'BasicController@disclaimerEdit')->name('disclaimer.edit');
	Route::post('/about/edit', 'BasicController@aboutUpdate')->name('about.update');
	// Route::post('/disclaimer/edit', 'BasicController@disclaimerUpdate')->name('disclaimer.update');
});

Route::prefix('oversight')->namespace('Oversight')->name('oversight.')->group(function () {

	Route::get('/login', 'Auth\LoginController@showLoginForm')->name('login');
	Route::post('/login', 'Auth\LoginController@login')->name('login.post');
	Route::post('/logout', 'Auth\LoginController@logout')->name('logout');

	// Middleware
	Route::middleware(['auth:oversight'])->group(function () {

		Route::get('/', 'DashboardController@index')->name('dashboard');

		Route::post('/upload', 'DashboardController@upload')->name('upload');
		Route::get('/storage', 'DashboardController@storage')->name('storage');

		Route::get('/websites', 'WebsiteIconController@websites')->name('websites');
		Route::post('/websites/store', 'WebsiteIconController@store_website_url')->name('store_website_url');
		Route::get('/website_icons', 'WebsiteIconController@website_icons')->name('website_icons');

		Route::post('/sketchs/datatable', 'SketchController@datatable')->name('sketchs.datatable');
		Route::post('/sketchs/is_active/{id}', 'SketchController@isActive')->name('sketchs.isActive');

		Route::post('/blogs/datatable', 'BlogController@datatable')->name('blogs.datatable');
		Route::post('/blogs/is_active/{id}', 'BlogController@isActive')->name('blogs.isActive');

		Route::resource('/blogs', 'BlogController')->parameters([
			'blogs' => 'id'
		]);
		Route::resource('/sketchs', 'SketchController')->parameters([
			'sketchs' => 'id'
		]);
		Route::resource('/categories', 'CategoryController')->parameters([
			'categories' => 'id',
		]);
		Route::resource('/website_icon', 'WebsiteIconController')->parameters([
			'website_icon' => 'id',
		]);

	});

});

app/Models/Oversight.php
<?php

namespace App\Models;

// use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;

class Oversight extends Authenticatable
{
	/**
	 * The attributes that are mass assignable.
	 *
	 * @var array
	 */
	protected $fillable = [
		'name', 'oversight', 'password',
	];

	/**
	 * The attributes that should be hidden for arrays.
	 *
	 * @var array
	 */
	protected $hidden = [
	    'password', 'remember_token',
	];
}

app/Http/Controllers/Oversight/BlogController.php
<?php

namespace App\Http\Controllers\Oversight;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Blog;
use Illuminate\Http\File;
use Illuminate\Support\Facades\Storage;
use Yajra\Datatables\Datatables;

class BlogController extends Controller
{
	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		return view('oversight.blogs.index');
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function create()
	{
		return view('oversight.blogs.create');
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function store(Request $request)
	{
		$request->validate(
			[
				'title' => 'required|string|unique:blogs,title',
				'image' => 'required|image|max:2000',
				'content' => 'required|min:200',
			]
		);

		$blank = "<p><br></p>";
		
		$content = $request->content;
		$title = $request->title;
		$image = $request->image;
		$slug = str_slug($request->title);

		if ($content == $blank) {

			return redirect()->back();

		} else {

			$created_by = auth('oversight')->user()->id;
			$path = 'blogs/'.date("Y").'/';

			$data = [
				'title' => $title,
				'slug' => $slug,
				'path' => $path,
				'image' => $image->hashName(),
				'content' => $content,
				'created_by' => $created_by,
			];

			$blog = Blog::create($data);

			Storage::disk('public')->put($path, $image);

			$request->session()->flash('success', 'Submit Blog Successfully!');
			return route('oversight.blogs.show', $blog->id);

		}
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function show($id)
	{
		$blog = Blog::findOrFail($id);

		return view('oversight.blogs.show', compact('blog'));
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function edit($id)
	{
		$blog = Blog::findOrFail($id);

		return view('oversight.blogs.edit', compact('blog'));
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function update(Request $request, $id)
	{
		$request->validate(
			[
				'title' => 'required|string|unique:blogs,title,'.$id,
				'image' => 'image|max:2000',
				'content' => 'required|min:200',
			]
		);

		$blank = "<p><br></p>";
		
		$content = $request->content;
		$title = $request->title;
		$image = $request->image;
		$slug = str_slug($request->title);


		if ($content == $blank) {

			return redirect()->back();

		} else {

			$blog = Blog::findOrFail($id);

			$data = [
				'title' => $title,
				'slug' => $slug,
				'content' => $content,
			];

			if ($image) {

				if(!$blog->image) {
					$path = 'blogs/'.date("Y").'/';
					$data = $data + [
						'path' => $path,
					];
				}

				$data = $data + [
					'image' => $image->hashName(),
				];

			}

			$blog->update($data);

			if ($image) {

				Storage::disk('public')->putFileAs($blog->path, new File($image), $blog->image);

			}

			$request->session()->flash('success', 'Update Blog Successfully!');
			return route('oversight.blogs.show', $id);

		}
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function destroy($id)
	{

		Blog::destroy($id);

		if (request()->ajax()) {

			return 'TRUE';

		} else {

			return redirect()->route('oversight.blogs.index')->with('success', 'Blog Deleted!');

		}

	}

	public function datatable()
	{
		$blogs = Blog::query();

		return Datatables::of($blogs)
		->addColumn('action', function ($blogs) {
			$button = '<div class="row text-center">
				<a href="'.route('oversight.blogs.edit', $blogs->id).'" class="col-sm-6">
					<i class="material-icons">border_color</i>
				</a>
				<span onclick="openDeleteModal('.$blogs->id.')" class="col-sm-6">
					<img style="width: 30px;height: 30px;" src="'.asset("svg/delete.svg").'">
				</span>
			</div>';
			return $button;
		})
		->editColumn('id', function($blogs) {
			return '<a href="'.route('oversight.blogs.show', $blogs->id).'" target="_blank">'.$blogs->id.'</a>';
		})
		->editColumn('image', function($blogs) {
			return '<img src="'.$blogs->image_path.'" class="img-fluid">';
		})
		->editColumn('title', function($blogs) {
			return str_limit($blogs->title, 50);
		})
		->editColumn('is_active', function($blogs) {
			$button = '<label class="switch">
				<input type="checkbox" '. (($blogs->is_active == '1') ? 'checked' : '') .' onchange="isActive('.$blogs->id.', event)">
				<span class="slider"></span>
			</label>';
			return $button;
		})
		->editColumn('created_at', function($blogs) {
			return $blogs->created_at->format('M d, Y (h:i:s A)');
		})
		->setRowClass(function ($blogs){
			return $blogs->is_active == '0' ? 'table-danger' : '' ;
		})
		->setRowId(function ($blogs) {
			return 'sketch_'.$blogs->id;
		})
		->rawColumns(['id', 'image', 'action', 'is_active'])
		->make(true);
	}

	public function isActive(Request $request, $id)
	{
		$check = ($request->check === 'true') ? '1' : '0';

		$data = [
			'is_active' => $check,
		];

		Blog::findOrFail($id)->update($data);
	}

}

app/Http/Controllers/Oversight/CategoryController.php
<?php

namespace App\Http\Controllers\Oversight;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Category;
use Illuminate\Validation\Rule;

class CategoryController extends Controller
{
	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		$categories = Category::all();
		return view('oversight.categories.index', compact('categories'));
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function create()
	{
		//
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function store(Request $request)
	{
		$request->validate(
			[
				'name' => 'required|string|unique:categories,name',
			]
		);


		$name = ucwords($request->name);
		$slug = str_slug($name, '_');

		$data = [
			'name' => $name,
			'slug' => $slug,
		];

		return Category::firstOrCreate($data,['name' => $name]);

	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function show($id)
	{
		//
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function edit($id)
	{
		//
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function update(Request $request, $id)
	{

		// $request->merge([
		// 	'title' => "google",
		// ]);
		$request->validate(
			[
				'name' => [
					'required',
					'string',
					Rule::unique('categories', 'name')->ignore($id),
					function ($attribute, $value, $fail) use ($id) {
						if(!Category::find($id)) {
							$fail('No record find.');
						}
					},
				]
			]
		);

		$name = ucwords($request->name);
		$slug = str_slug($name, '_');

		$data = [
			'name' => $name,
			'slug' => $slug,
		];

		Category::find($id)->update($data);

		return Category::find($id);

	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function destroy($id)
	{
		//
	}
}

app/Http/Controllers/Oversight/DashboardController.php
<?php

namespace App\Http\Controllers\Oversight;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Sketch;
use Illuminate\Support\Facades\Storage;
use InterventionImage;

class DashboardController extends Controller
{
	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		$sketch = new Sketch;

		$sketch->total = $sketch->count();
		$sketch->active = $sketch->where('is_active', '1')->count();
		$sketch->inActive = $sketch->total - $sketch->active;

		return view('oversight.dashboard', compact('sketch'));
	}

	public function upload(Request $request)
	{
		$request->validate(
			[
				'upload' => ['required', 'image', 'max:2000'],
			],
			[
				'upload.max' => 'Maximum Image size to upload is 2MB.',
			],
			[
				'upload' => 'Image',
			]

		);

		// Get Image
		$image = $request->upload;

		// Set Path
		$path = 'content/'.date('Y').'/';

		$fullPath = '/storage/'.$path.$image->hashName();

		$this->resizeImage($image);

		Storage::disk('public')->put($path, $image);

		$data = [
			'url' => $fullPath,
		];

		// Make response
		return response()->json($data);
	}

	public function storage(Request $request)
	{
		return view('oversight.storage');
	}

	public function resizeImage($image)
	{
		$imageSize = getimagesize($image);
		$height = $imageSize[1];

		$imageObj = InterventionImage::make($image);

		if ($height > 600) {

			// resize the image to a height of 200 and constrain aspect ratio (auto width)
			$resizeImage = $imageObj->resize(null, 600, function ($constraint) {
				$constraint->aspectRatio();
			});

			$resizeImage->save($image);

		}

		return true;

	}
}

app/Http/Controllers/Oversight/WebsiteIconController.php
<?php

namespace App\Http\Controllers\Oversight;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\WebsiteIcon;
use App\Models\Website;
use Illuminate\Http\File;
use Illuminate\Support\Facades\Storage;
use InterventionImage;

class WebsiteIconController extends Controller
{
	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		return view('oversight.website_icon.index');
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function create()
	{
		//
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function store(Request $request)
	{
		$request->validate(
			[
				'image' => 'required|image|max:2000',
				'title' => 'required|string|unique:website_icons,title',
			]
		);

		// $request->image->path();
		// $request->image->extension();
		// $request->image->clientExtension();
		// $request->image->hashName();

		$image = $request->image;
		$title = $request->title;

		$data = [
			'name' => $image->hashName(),
			'title' => $title,
		];

		$this->resizeIcon($image);

		Storage::disk('public')->put('website_icons', $image);

		return WebsiteIcon::create($data);
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function show($id)
	{
		//
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function edit($id)
	{
		//
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function update(Request $request, $id)
	{
		$request->validate(
			[
				'image' => 'required|image|max:2000',
			]
		);

		$image = $request->image;

		$websiteIcon = WebsiteIcon::findOrFail($id);

		$this->resizeIcon($image);

		return Storage::disk('public')->putFileAs('website_icons', new File($image), $websiteIcon->name);
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function destroy($id)
	{
		//
	}

	public function websites()
	{
		return Website::orderBy('id', 'desc')->get();
	}

	public function store_website_url(Request $request)
	{
		$request->validate(
			[
				'url' => 'required|string|unique:websites,url',
				'icon' => 'required|numeric|exists:website_icons,id',
			]
		);

		$url = parse_url($request->url, PHP_URL_HOST);
		$icon_id = $request->icon;
		
		$data = [
			'url' => $url,
			'icon_id' => $icon_id,
		];

		return Website::create($data);
	}

	public function website_icons()
	{
		return WebsiteIcon::orderBy('id', 'desc')->get();
	}

	public function resizeIcon($icon)
	{
		$imageSize = getimagesize($icon);
		$height = $imageSize[1];

		$iconObj = InterventionImage::make($icon);

		if ($height >= 50) {

			// resize the icon to a height of 200 and constrain aspect ratio (auto width)
			$resizeIcon = $iconObj->resize(null, 50, function ($constraint) {
				$constraint->aspectRatio();
			});

			$resizeIcon->save($icon);

		}

		return true;

	}
}

resources/views/oversight/layouts/app.blade.php
<!doctype html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- CSRF Token -->
		<meta name="csrf-token" content="{{ csrf_token() }}">

		<title>@yield('title') | {{ config('app.name') }}</title>

		<!-- Fonts -->
		<link href="{{ asset('css/fonts.css') }}" rel="stylesheet" type="text/css">

		<style type="text/css">
			.form-control:focus {
				color: unset!important;
			}
			.form-control {
				color: unset!important;
			}
			/* Rules for sizing the icon. */
			.material-icons.md-18 { font-size: 18px; }
			.material-icons.md-24 { font-size: 24px; }
			.material-icons.md-36 { font-size: 36px; }
			.material-icons.md-48 { font-size: 48px; }

			/* Rules for using icons as black on a light background. */
			.material-icons.md-dark { color: rgba(0, 0, 0, 0.54); }
			.material-icons.md-dark.md-inactive { color: rgba(0, 0, 0, 0.26); }

			/* Rules for using icons as white on a dark background. */
			.material-icons.md-light { color: rgba(255, 255, 255, 1); }
			.material-icons.md-light.md-inactive { color: rgba(255, 255, 255, 0.3); }

			#add-image {
				cursor: pointer;
			}
			#add-image div {
				border: 0.25em dashed silver;
				padding: 15px;
			}
			@-webkit-keyframes spinner-border {
				to {
					-webkit-transform: rotate(360deg);
					transform: rotate(360deg);
				}
			}

			@keyframes spinner-border {
			  to {
			    -webkit-transform: rotate(360deg);
			    transform: rotate(360deg);
			  }
			}

			.spinner-border {
			  display: inline-block;
			  width: 2rem;
			  height: 2rem;
			  vertical-align: text-bottom;
			  border: 0.25em solid currentColor;
			  border-right-color: transparent;
			  border-radius: 50%!important;
			  -webkit-animation: spinner-border .75s linear infinite;
			  animation: spinner-border .75s linear infinite;
			}

			.spinner-border-sm {
			  width: 1rem;
			  height: 1rem;
			  border-width: 0.2em;
			}

			@-webkit-keyframes spinner-grow {
			  0% {
			    -webkit-transform: scale(0);
			    transform: scale(0);
			  }
			  50% {
			    opacity: 1;
			  }
			}

			@keyframes spinner-grow {
			  0% {
			    -webkit-transform: scale(0);
			    transform: scale(0);
			  }
			  50% {
			    opacity: 1;
			  }
			}

			.spinner-grow {
			  display: inline-block;
			  width: 2rem;
			  height: 2rem;
			  vertical-align: text-bottom;
			  background-color: currentColor;
			  border-radius: 50%;
			  opacity: 0;
			  -webkit-animation: spinner-grow .75s linear infinite;
			  animation: spinner-grow .75s linear infinite;
			}

			.spinner-grow-sm {
			  width: 1rem;
			  height: 1rem;
			}
		</style>

		<!-- Material Icons -->
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

		<!-- Theme style -->
		<link rel="stylesheet" href="https://adminlte.io/themes/dev/AdminLTE/dist/css/adminlte.min.css">
		<link href="{{ asset('css/style.css') }}" rel="stylesheet">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">

		<style type="text/css">
			/*[v-cloak] {
				display: none;
			}*/
			[v-cloak] > * { display:none; }
			[v-cloak]::before { content: "loading..."; }
		</style>

		@stack('plugins')

	</head>
	<body class="hold-transition sidebar-mini sidebar-collapse">
	<div class="wrapper">
		<!-- Navbar -->
		@include('oversight.layouts.nav')
		<!-- /.navbar -->

		<!-- Main Sidebar Container -->
		@include('oversight.layouts.aside')

		<!-- Content Wrapper. Contains page content -->
		<div id="app" class="content-wrapper">
			@include('shared.messages')
			<!-- Content Header (Page header) -->
			@yield('content')
			<!-- /.content -->
		</div>
		<!-- /.content-wrapper -->

		<!-- Main Footer -->
		@include('oversight.layouts.footer')
	</div>
	<!-- ./wrapper -->

	<!-- Modal -->
	<div class="modal fade" id="logout" tabindex="-1" role="dialog" aria-labelledby="logoutCenterTitle" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="logoutCenterTitle">Logout Modal</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<span class="text-info">Are you sure you want to logout?</span>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary mr-5" data-dismiss="modal">Close</button>
					<form action="{{ route('oversight.logout') }}" method="POST">
						@csrf
						<button type="submit" class="btn btn-primary">Logout</button>
					</form>
				</div>
			</div>
		</div>
	</div>

	<!-- jQuery -->
	<script src="https://adminlte.io/themes/dev/AdminLTE/plugins/jquery/jquery.min.js"></script>
	<!-- Bootstrap -->
	<script src="https://adminlte.io/themes/dev/AdminLTE/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
	<!-- AdminLTE -->
	<script src="https://adminlte.io/themes/dev/AdminLTE/dist/js/adminlte.js"></script>
	<script src="{{ asset('js/vue/app.js') }}"></script>
	<script src="{{ asset('js/axios/axios.min.js') }}"></script>
	<script src="{{ asset('js/main.js') }}"></script>
	<script type="text/javascript">
		$.ajaxSetup({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			}
		})
	</script>

	@stack('scripts')

	<script type="text/javascript">
		let url = window.location;
		url = url.origin+url.pathname;
		$('ul.nav-sidebar a').filter(function() {
		    return this.href == url;
		}).siblings().removeClass('active').end().addClass('active');
		$('ul.treeview-menu a').filter(function() {
		    return this.href == url;
		}).parentsUntil(".sidebar-menu > .treeview-menu").siblings().removeClass('active menu-open').end().addClass('active menu-open');
	</script>
	</body>
</html>

resources/views/oversight/layouts/footer.blade.php
<footer class="main-footer">
	<!-- To the right -->
	<div class="float-right d-none d-sm-block-down">
		Anything you want
	</div>
	<!-- Default to the left -->
	<strong>Copyright &copy; {{ date('Y') }} <a href="">{{ config('app.name') }}</a>.</strong> All rights reserved.
</footer>